
From: Geert Uytterhoeven <geert@linux-m68k.org>

Mac NCR5380 SCSI: Fix bus error by passing the correct instance pointer to
request_irq()

Signed-off-by: Finn Thain <fthain@telegraphics.com.au>
Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/mac_scsi.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/scsi/mac_scsi.c~mac-ncr5380-scsi-fix-bus-error drivers/scsi/mac_scsi.c
--- 25/drivers/scsi/mac_scsi.c~mac-ncr5380-scsi-fix-bus-error	2005-03-21 22:46:09.000000000 -0800
+++ 25-akpm/drivers/scsi/mac_scsi.c	2005-03-21 22:46:09.000000000 -0800
@@ -302,7 +302,7 @@ int macscsi_detect(Scsi_Host_Template * 
 
     if (instance->irq != SCSI_IRQ_NONE)
 	if (request_irq(instance->irq, NCR5380_intr, IRQ_FLG_SLOW, 
-		"ncr5380", NCR5380_intr)) {
+		"ncr5380", instance)) {
 	    printk(KERN_WARNING "scsi%d: IRQ%d not free, interrupts disabled\n",
 		   instance->host_no, instance->irq);
 	    instance->irq = SCSI_IRQ_NONE;
_
